Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.bytecode.spi
Interface ReflectionOptimizer.AccessOptimizer

All Known Implementing Classes:
  AccessOptimizerAdapter

Enclosing interface:
  ReflectionOptimizer

    public static interface ReflectionOptimizer.AccessOptimizer

Represents optimized entity property access.

Method Summary
`String[]` | `getPropertyNames()`
`Object[]` | `getPropertyValues(Object object)`
`void` | `setPropertyValues(Object object, Object[] values)`

Method Detail

### getPropertyNames

    String[] getPropertyNames()

### getPropertyValues

    Object[] getPropertyValues(Object object)

### setPropertyValues

    void setPropertyValues(Object object,
                           Object[] values)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.